/*******************************************************************************************************************************//**
 *
 * @file		FW_lcd.h
 * @brief		DESCRIPCION ------------------------
 * @date		8/11/2016
 * @author		Ing. Marcelo Trujillo
 *
 **********************************************************************************************************************************/

/***********************************************************************************************************************************
 *** MODULO
 **********************************************************************************************************************************/
#ifndef SOURCES_FIRMWARE_TK_FW_LCD_H_
#define SOURCES_FIRMWARE_TK_FW_LCD_H_
#include <DR_tipos.h>
/***********************************************************************************************************************************
 *** INCLUDES GLOBALES
 **********************************************************************************************************************************/


/***********************************************************************************************************************************
 *** DEFINES GLOBALES
 **********************************************************************************************************************************/
#define		LCD_CONTROL		1
#define		LCD_DATA		0

#define 	LCD_BUFFER_SIZE	340

#define	 	LCD_LINE_SIZE	20
#define 	LCD_LINES		2

#define 	DSP0			0
#define 	DSP1			1

#define 	LINE_1_ADDRESS	0x00
#define 	LINE_2_ADDRESS	0x40

#define		LCD_D4			0,5
#define		LCD_D5			0,10
#define		LCD_D6			2,4
#define		LCD_D7			2,5
#define		LCD_RS			2,6
#define		LCD_BF			0,28
#define		LCD_EN			0,4

/***********************************************************************************************************************************
 *** MACROS GLOBALES
 **********************************************************************************************************************************/

/***********************************************************************************************************************************
 *** TIPO DE DATOS GLOBALES
 **********************************************************************************************************************************/

/***********************************************************************************************************************************
 *** VARIABLES GLOBALES
 **********************************************************************************************************************************/
extern uint32_t volatile lcdDelay;

/***********************************************************************************************************************************
 *** PROTOTIPOS DE FUNCIONES GLOBALES
 **********************************************************************************************************************************/
void InicializarLCD( void );
int8_t LCD_Push( uint8_t data , uint8_t control );
int16_t LCD_Pop( void );
void EscrituraLCD( void );

#endif /* SOURCES_FIRMWARE_TK_FW_LCD_H_ */
